{*
BotanicalVis

@author         Philipp Hartl
@version        0.1
@license
This source file is part of BotanicalVis,
a tool to visualize huge hierarchies in 3D-space

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU Lesser General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with
this program; if not, write to the Free Software Foundation, Inc., 59 Temple
Place - Suite 330, Boston, MA 02111-1307, USA, or go to
http://www.gnu.org/copyleft/lesser.txt.
*}

program BotanicalVis;

uses
  Forms,
  Main in 'units\Main.pas' {MainFrm},
  dglOpenGL in 'libs\dglOpenGL.pas',
  Logger in 'units\Logger.pas',
  Rendering in 'units\Rendering.pas' {RenderFrm},
  Geo in 'units\Geo.pas',
  Camera in 'units\Camera.pas',
  Data in 'units\Data.pas',
  Nodes in 'units\Nodes.pas',
  Shapes in 'units\Shapes.pas',
  Transforms in 'units\Transforms.pas';

begin
  Application.Initialize;
  Application.CreateForm(TMainFrm, MainFrm);
  Application.Run;
end.
